package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.model.base.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 用户登陆表
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2018-10-11 11:02
 * @Modify:
 **/
@Entity
@Table(name="sys_method_role")
@Data
@Api(value="角色权限表",description = "关联角色和权限。")
public class SysMethodRole extends BaseBean {

    @Column(name="role_id")
    @ApiParam(value = "角色主键")
    private Long roleId;

    @Column(name="method_id")
    @ApiParam(value = "功能权限主键")
    private Long methodId;
}
