package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.model.base.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 用户登陆表
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2018-10-11 11:02
 * @Modify:
 **/
@Entity
@Table(name="sys_user_role")
@Data
@Api(value="用户角色表",description = "关联用户和角色。")
public class SysUserRole extends BaseBean {

    @Column(name="user_id")
    @ApiParam(value = "用户主键")
    private Long userId;

    @Column(name="language_code")
    @ApiParam(value = "角色主键")
    private Long roleId;
}
