package cn.estsh.i3plus.pojo.model.busi;

import io.swagger.annotations.ApiParam;

import java.io.Serializable;

/**
 * @Description :
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2018-09-04 15:58
 * @Modify:
 **/
public class OperateUser implements Serializable {

    @ApiParam("用户代码")
    private String userCode;

    @ApiParam("用户姓名")
    private String userName;

    @ApiParam("站点代码")
    private String siteCode;

    @ApiParam("语言代码")
    private String languageCode;

    @ApiParam("登陆方式")
    private String loginType;

    public OperateUser() {
    }

    public OperateUser(String userCode, String userName, String siteCode) {
        this.userCode = userCode;
        this.userName = userName;
        this.siteCode = siteCode;
    }

    public OperateUser(String userCode, String userName, String siteCode, String languageCode, String loginType) {
        this.userCode = userCode;
        this.userName = userName;
        this.siteCode = siteCode;
        this.languageCode = languageCode;
        this.loginType = loginType;
    }

    public String getUserCode() {
        return userCode;
    }

    public void setUserCode(String userCode) {
        this.userCode = userCode;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getSiteCode() {
        return siteCode;
    }

    public void setSiteCode(String siteCode) {
        this.siteCode = siteCode;
    }

    public String getLanguageCode() {
        return languageCode;
    }

    public void setLanguageCode(String languageCode) {
        this.languageCode = languageCode;
    }

    public String getLoginType() {
        return loginType;
    }

    public void setLoginType(String loginType) {
        this.loginType = loginType;
    }
}

